Name:           ocaml-glmlite
Version:        0.03.35
Release:        %mkrel 1
Summary:        OpenGL interface for Objective Caml
License:        GPL
Group:          Development/Other
URL:            http://www.linux-nantes.org/~fmonnier/OCaml/GL/
Source0:        http://www.linux-nantes.org/~fmonnier/OCaml/GL/download/glMLite-%{version}.tgz
Patch0:         RedBook-Samples-fix-libpath.patch
Patch1:         glMLite-TEST-dir-libpath.patch
Patch2:         gle-examples-makefiles.patch
Patch3:         glMLite-LablGL-libpath.patch
BuildRequires:  ocaml
BuildRequires:  X11-devel
BuildRequires:  Mesa-common-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  librsvg-devel
BuildRequires:  libmagick-devel
BuildRequires:  libgle-devel
BuildRequires:  libftgl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%package devel
Summary:        OpenGL bindings for OCaml
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description
This package provides OpenGL bindings for OCaml.
There is a module for GL, Glu and Glut, and also some
texture loaders for different image file format.
There are specialised/optimised loaders for jpeg, png and svg,
and also a generic image loader (which uses the libmagick).
The names of the functions are the same than in the C API,
and the problematic types are packed in modules.
There are additional wrappers for the GLE and the FTGL
libraries, to perform extrusions and font rendering.

%description -n %{name}-devel
Development files for the package %{name}.

%prep
%setup -q -n glMLite-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
make everything
make doc

%install
rm -rf %{buildroot}
%define dest_dir %{buildroot}/%{_libdir}/ocaml/glMLite

install -d -m 755 %{dest_dir}
make install_everything PREFIX=%{dest_dir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE_GPL.txt README.txt
%dir %{_libdir}/ocaml/glMLite
%{_libdir}/ocaml/glMLite/META
%{_libdir}/ocaml/glMLite/*.cma
%{_libdir}/ocaml/glMLite/*.cmi
%{_libdir}/ocaml/glMLite/*.so

%files devel
%defattr(-,root,root)
%doc SRC/doc
%doc TEST RedBook-Samples gle-examples nehe-examples LablGL
%{_libdir}/ocaml/glMLite/*.a
%{_libdir}/ocaml/glMLite/*.o
%{_libdir}/ocaml/glMLite/*.cmx
%{_libdir}/ocaml/glMLite/*.cmxa



%changelog
* Tue Sep 29 2009 Florent Monnier <blue_prawn@mandriva.org> 0.03.35-1mdv2010.0
+ Revision: 451083
- include .o files in the devel package
- new version

* Tue Sep 29 2009 Florent Monnier <blue_prawn@mandriva.org> 0.03.34-2mdv2010.0
+ Revision: 451034
- corrected the rights of the README file (was -rw------- now -rw-r--r--)

* Mon Sep 28 2009 Florent Monnier <blue_prawn@mandriva.org> 0.03.34-1mdv2010.0
+ Revision: 450701
- new version

* Sat Sep 26 2009 Florent Monnier <blue_prawn@mandriva.org> 0.03.33-1mdv2010.0
+ Revision: 449585
- new version 0.03.33, and now includes the examples

* Sun Aug 23 2009 Funda Wang <fundawang@mandriva.org> 0.03.31-2mdv2010.0
+ Revision: 419798
- rebuild for new libjpeg v7

* Thu Aug 13 2009 Florent Monnier <blue_prawn@mandriva.org> 0.03.31-1mdv2010.0
+ Revision: 415812
- import ocaml-glmlite


